# Xapian::StemImplementation Struct Reference

Class representing a stemming algorithm implementation. More...

List of all members.

## Public Member Functions
virtual | ~StemImplementation ()
| Virtual destructor.
virtual std::string | operator() (const std::string &word)=0
| Stem the specified word.
virtual std::string | get_description () const =0
| Return a string describing this object.

## Detailed Description

Class representing a stemming algorithm implementation.

The documentation for this struct was generated from the following file:

- xapian/stem.h